# $Revision: 1.16.2.4 $, $Date: 2004/07/20 22:54:36 $
# TODO:
# - add desktop and png icon for bins-edit-gui.
#
%include	/usr/lib/rpm/macros.perl
Summary:	HTML photo album generator
Summary(pl):	Generator albumw fotograficznych w HTML
Name:		bins
Version:	1.1.21
Release:	3
License:	GPL
Group:		Applications/Graphics
Source0:	http://jsautret.free.fr/BINS/%{name}-%{version}.tar.bz2
# Source0-md5:	a63dc5db4ec60b730066eefdea9b1748
Patch0:		%{name}-localedir.patch
Patch1:		%{name}-gladedir.patch
URL:		http://bins.sautret.org/
Requires:	ImageMagick
BuildArch:	noarch
BuildRequires:	rpm-perlprov >= 3.0.3-18
%requires_eq	perl
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
The aim of BINS is to generate static HTML photo albums.

%description -l pl
BINS suy do generowania albumw fotograficznych w postaci statyczych
stron HTML.

%package edit-gui
Summary:	Editor GUI for BINS
Summary(pl):	Interfejs uytkownika do edycji albumw BINS
Group:		Applications/Graphics
Requires:	%{name} = %{version}

%description edit-gui
GUI for editing BINS albums.

%description edit-gui -l pl
Graficzny interfejs uytkownika do edycji albumw BINS.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1} \
	   $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1} \
	   $RPM_BUILD_ROOT%{_datadir}/%{name} \
	   $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/templates.default \
	   $RPM_BUILD_ROOT%{_datadir}/locale/{fr,de,pl}/LC_MESSAGES

install bins bins_edit $RPM_BUILD_ROOT%{_bindir}
install bins-edit-gui $RPM_BUILD_ROOT%{_bindir}
install binsrc $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
install templates/*.html $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/templates.default
install bins-edit-gui.glade $RPM_BUILD_ROOT%{_datadir}/%{name}
install doc/{bins,bins_edit}.1 $RPM_BUILD_ROOT%{_mandir}/man1
install doc/*gui*.1 $RPM_BUILD_ROOT%{_mandir}/man1

for L in fr de pl ; do
	install intl/$L.mo $RPM_BUILD_ROOT%{_datadir}/locale/$L/LC_MESSAGES/%{name}.mo
	if [ -f intl/gui-$L.mo ] ; then
		install intl/gui-$L.mo $RPM_BUILD_ROOT%{_datadir}/locale/$L/LC_MESSAGES/%{name}-edit-gui.mo
	fi
done

%find_lang %{name}
%find_lang %{name}-edit-gui

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc CREDITS ChangeLog README TODO doc/*.html
%attr(755,root,root) %{_bindir}/*
%dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/%{name}/binsrc
%dir %{_sysconfdir}/%{name}/templates.default
%config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/%{name}/templates.default/*
%{_mandir}/man1/*

%files edit-gui -f %{name}-edit-gui.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/bins-edit-gui
%{_mandir}/man1/*
%{_datadir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bins.spec,v $
Revision 1.16.2.4  2004/07/20 22:54:36  ankry
- rel. 3

Revision 1.16.2.3  2004/07/20 13:48:58  ankry
- md5

Revision 1.16.2.2  2004/07/20 13:45:43  ankry
- fixed -localedir patch for Ra, rel. 2

Revision 1.16.2.1  2003/07/11 12:00:31  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.16  2003/04/19 04:17:40  kloczek
- simplifications (removed some macros bloat),
TODO: add desktop and png icon for bins-edit-gui.

Revision 1.15  2003/04/17 15:35:10  wiget
- up to 1.1.21

Revision 1.14  2002/12/30 12:20:40  wiget
- 1.1.20

Revision 1.13  2002/10/31 08:39:29  wiget
- 1.1.18

Revision 1.12  2002/09/23 20:03:21  mkochano
- Release 2.
- Requires ImageMagick :/

Revision 1.11  2002/09/23 13:36:34  wiget
- updated to 1.1.17

Revision 1.10  2002/09/03 07:48:59  wiget
- 1.1.16

Revision 1.9  2002/08/11 21:04:52  mkochano
- Removed Requires, it's autogenerated.

Revision 1.8  2002/08/11 20:44:56  mkochano
- Release 1.
- Version 1.1.14.
- Removed gui_locale patch (seems to be merged).

Revision 1.7  2002/06/04 18:50:16  kloczek
- updated to 1.1.8.

Revision 1.6  2002/05/26 12:00:30  kloczek
- fix in %files.

Revision 1.5  2002/05/25 11:09:43  qboosh
- pl fix, cosmetics

Revision 1.4  2002/05/24 10:32:01  jajcus
- some fixes for edit-gui (still doesn't work)

Revision 1.3  2002/05/23 13:48:28  jajcus
- typo

Revision 1.2  2002/05/23 13:13:24  jajcus
- adapterized

Revision 1.1  2002/05/23 13:12:32  jajcus
- new spec
